Create API Auth Token
/oauth/tokenAuthorization endpoint for gaining token used for API requests requiring bearerAuth.
You will be provided the required client_id and client_secret as part of onboarding.
The returned bearer token will only enable access to endpoints as per your client's defined role. Refer to Access Control for more information.
Request Body
application/json
Use the client_id value provided with your tenant details, or retrieved when you created a tenant on the Self Service Portal.
Use the client_secret value provided with your tenant details, or retrieved when you created a tenant on the Self Service Portal.
Use your tenant URL.
Use client_credentials.
Response Body
application/json
application/json
const body = JSON.stringify({ "client_id": "htf792W4p4MedZbnoWAs51EfqUt4d2", "client_secret": "d3fYDX7FjPg1D1h2viARXsolPByQ9vMfg8LHylBy8F4s5KJLB4HhHGOxxqJnSj3G", "audience": "https://learn.vii.au01.mattr.global", "grant_type": "client_credentials"})fetch("https://auth.au01.mattr.global/oauth/token", { method: "POST", headers: { "Content-Type": "application/json" }, body}){
"access_token": "s2dgbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6s2dcaEROemRDf5gbRVEwTTVSVFE0TmtZME9UZzVNVEpDTlVJNFJqRTBPREExTmpZMk1qazFPQSJ9",
"expires_in": 86400,
"token_type": "Bearer"
}{
"error": "access_denied",
"error_description": "Unauthorized"
}How would you rate this page?
Delete a message DELETE
Deletes a message from the requested inbox by providing its ID. ### **Analytic events** * MESSAGING_INBOX_MESSAGE_DELETE_START * MESSAGING_INBOX_MESSAGE_DELETE_SUCCESS * MESSAGING_INBOX_MESSAGE_DELETE_FAIL
Configure custom domain POST
Creates a custom domain configuration on your tenant. You can configure a custom domain for a specific MATTR VII tenant to represent your brand and instil trust with your end-users. Any MATTR VII tenant can only have one custom domain. Refer to our [docs](https://learn.mattr.global/docs/platform-management/custom-domain-overview) for more information. ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_CREATE_START * CONFIG_CUSTOM_DOMAIN_CREATE_SUCCESS * CONFIG_CUSTOM_DOMAIN_CREATE_FAIL